RDCode: RDKit::MolChemicalFeature Class Reference

# RDKit::MolChemicalFeature Class Reference

`#include <MolChemicalFeature.h>`

Inheritance diagram for RDKit::MolChemicalFeature:

List of all members.

## Public Types
typedef std::vector< const Atom * > | AtomPtrContainer
typedef AtomPtrContainer::const_iterator | AtomPtrContainer_CI
## Public Member Functions
| MolChemicalFeature (const ROMol *mol, const MolChemicalFeatureFactory *factory, const MolChemicalFeatureDef *fdef)
| Constructor.
| ~MolChemicalFeature ()
const std::string & | getFamily () const
| return the name of the feature's family
const std::string & | getType () const
| return the name of the feature's type
RDGeom::Point3D | getPos () const
| return the position of the feature (obtained from from the associated conformation
RDGeom::Point3D | getPos (int confId) const
| return the position of the feature (obtained from from the requested conformation from the associated molecule)
const MolChemicalFeatureFactory * | getFactory () const
| return a pointer to our feature factory
const ROMol * | getMol () const
| return a pointer to our associated molecule
const MolChemicalFeatureDef * | getFeatDef () const
| return a pointer to our feature definition
unsigned int | getNumAtoms () const
| returns the number of atoms defining the feature
void | setActiveConformer (int confId)
| sets the active conformer (in the associated molecule)
int | getActiveConformer () const
| returns the active conformer (in the associated molecule)
void | clearCache ()
| clears out the internal position cache
const AtomPtrContainer & | getAtoms () const
| returns our atom container of
AtomPtrContainer::const_iterator | beginAtoms () const
AtomPtrContainer::const_iterator | endAtoms () const
## Friends
class | MolChemicalFeatureFactory

## Detailed Description

Definition at line 22 of file MolChemicalFeature.h.

## Member Typedef Documentation

typedef std::vector<const Atom *> RDKit::MolChemicalFeature::AtomPtrContainer

Definition at line 26 of file MolChemicalFeature.h.

typedef AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::AtomPtrContainer_CI

Definition at line 27 of file MolChemicalFeature.h.

## Constructor & Destructor Documentation

RDKit::MolChemicalFeature::MolChemicalFeature | ( | const ROMol * | mol,
|  | const MolChemicalFeatureFactory * | factory,
|  | const MolChemicalFeatureDef * | fdef |
| ) |  |  | `[inline]`

Constructor.

Definition at line 30 of file MolChemicalFeature.h.

RDKit::MolChemicalFeature::~MolChemicalFeature | ( |  | ) | `[inline]`

Definition at line 35 of file MolChemicalFeature.h.

## Member Function Documentation

const std::string& RDKit::MolChemicalFeature::getFamily | ( |  | ) | const`[virtual]`

return the name of the feature's family

Implements ChemicalFeatures::ChemicalFeature.

const std::string& RDKit::MolChemicalFeature::getType | ( |  | ) | const`[virtual]`

return the name of the feature's type

Implements ChemicalFeatures::ChemicalFeature.

RDGeom::Point3D RDKit::MolChemicalFeature::getPos | ( |  | ) | const`[virtual]`

return the position of the feature (obtained from from the associated conformation

Implements ChemicalFeatures::ChemicalFeature.

RDGeom::Point3D RDKit::MolChemicalFeature::getPos | ( | int | confId | ) | const

return the position of the feature (obtained from from the requested conformation from the associated molecule)

const MolChemicalFeatureFactory* RDKit::MolChemicalFeature::getFactory | ( |  | ) | const`[inline]`

return a pointer to our feature factory

Definition at line 49 of file MolChemicalFeature.h.

const ROMol* RDKit::MolChemicalFeature::getMol | ( |  | ) | const`[inline]`

return a pointer to our associated molecule

Definition at line 51 of file MolChemicalFeature.h.

const MolChemicalFeatureDef* RDKit::MolChemicalFeature::getFeatDef | ( |  | ) | const`[inline]`

return a pointer to our feature definition

Definition at line 53 of file MolChemicalFeature.h.

unsigned int RDKit::MolChemicalFeature::getNumAtoms | ( |  | ) | const`[inline]`

returns the number of atoms defining the feature

Definition at line 56 of file MolChemicalFeature.h.

void RDKit::MolChemicalFeature::setActiveConformer | ( | int | confId | ) |

sets the active conformer (in the associated molecule)

int RDKit::MolChemicalFeature::getActiveConformer | ( |  | ) | const`[inline]`

returns the active conformer (in the associated molecule)

Definition at line 64 of file MolChemicalFeature.h.

void RDKit::MolChemicalFeature::clearCache | ( |  | ) | `[inline]`

clears out the internal position cache

Definition at line 67 of file MolChemicalFeature.h.

const AtomPtrContainer& RDKit::MolChemicalFeature::getAtoms | ( |  | ) | const`[inline]`

returns our atom container of

Definition at line 70 of file MolChemicalFeature.h.

AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::beginAtoms | ( |  | ) | const`[inline]`

Definition at line 73 of file MolChemicalFeature.h.

AtomPtrContainer::const_iterator RDKit::MolChemicalFeature::endAtoms | ( |  | ) | const`[inline]`

Definition at line 74 of file MolChemicalFeature.h.

## Friends And Related Function Documentation

friend class MolChemicalFeatureFactory`[friend]`

Definition at line 24 of file MolChemicalFeature.h.

The documentation for this class was generated from the following file:

- MolChemicalFeature.h